Bug 1475355 (CVE-2017-11542) - CVE-2017-11542 tcpdump: heap-based buffer over-read in the pimv1_print
Summary: CVE-2017-11542 tcpdump: heap-based buffer over-read in the pimv1_print
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-11542
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1475364
Blocks: 1490633
TreeView+ depends on / blocked
 
Reported: 2017-07-26 13:43 UTC by Adam Mariš
Modified: 2019-09-29 14:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-13 03:41:41 UTC
Embargoed:


Attachments (Terms of Use)

Description Adam Mariš 2017-07-26 13:43:26 UTC
tcpdump 4.9.0 has a heap-based buffer over-read in the pimv1_print function in print-pim.c.

Reproducer:

https://github.com/hackerlib/hackerlib-vul/tree/master/tcpdump-vul/heap-buffer-overflow/print-pim

Comment 1 Adam Mariš 2017-07-26 13:51:37 UTC
Created tcpdump tracking bugs for this issue:

Affects: fedora-all [bug 1475364]

Comment 3 Doran Moppert 2018-05-16 02:43:43 UTC
This issue was addressed in Red Hat Enterprise Linux 7 via RHEA-2018:0705, which rebased tcpdump to 4.9.2:

https://access.redhat.com/errata/RHEA-2018:0705


Note You need to log in before you can comment on or make changes to this bug.